Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 4138 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Zapsání rozvinu plechu do iVlastností

 Odpovědět Odpovědět archiv
Autor
madep Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 01.pro.2006
Lokalita: ČR (Pha)
Používám:
Inventor 2022
Stav: Offline
Bodů: 143
Možnosti příspěvku Možnosti příspěvku   Poděkování (1) Poděkování1   Citace madep Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: Zapsání rozvinu plechu do iVlastností
    Zasláno: 05.úno.2022 v 16:08
Dobrý den všem,
pokud chcete alespoň trochu zautomatizovat svoje procesy a nemyslet na to, jestli jste nezapomněli vypsat příslušná políčka v iVlastnostech, tak je fajn co nejvíce využít iLogic. Já třeba používám pravidlo, které automaticky zapíše rozvin plechu včetně jeho tloušťky do řádku Popis (Description).
Pro úplnou automatizaci je nutné do spouštěče událostí toto pravidlo umístit do řádku "Před uložením"

Odkaz na video: https://www.youtube.com/watch?v=bPKUjXDfB7Y

Pravidlo:

Dim odoc As PartDocument = ThisDoc.Document
InventorVb.DocumentUpdate()

oFlatExtentsWidth = Round(SheetMetal.FlatExtentsWidth, 0)
oFlatExtensLenght = Round(SheetMetal.FlatExtentsLength, 0)

odoc.PropertySets.Item("Design Tracking Properties").Item("Description").Value = _
"Plech" & Tloušťka & "-" & oFlatExtentsWidth & "x" & oFlatExtensLenght

Martin Depta
ELTODO a.s.
Zpět nahoru
rys-kt4 Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 21.lis.2011
Lokalita: ČR (Pha)
Používám:
Inventor - PrDSU, Solid Edge
Stav: Offline
Bodů: 455
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace rys-kt4 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 06.úno.2022 v 10:06
Pěkné, ale proč vymýšlet vymyšlené.
Zde je to již dávno, a jako užitečná "free" apka.


Vytvořenou iVlastnost lze pak taktéž, jako jakoukoliv jinou iVlastnost umístit kamkoliv.

Nasměrování je ale pěkné.


Upravil rys-kt4 - 06.úno.2022 v 10:10
JanB.
Zpět nahoru
madep Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 01.pro.2006
Lokalita: ČR (Pha)
Používám:
Inventor 2022
Stav: Offline
Bodů: 143
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace madep Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 06.úno.2022 v 11:42
To máte pravdu. Ale X-Tools nepoužívá každý a hlavně já jsem potřeboval nastavit "Popis" do určitého tvaru, což je např. Plech 1-100x100, protože takto se to v Eltodu zapisuje. A Nastavení X-Tools je natvrdo a nedá se to nějak uživatelsky nastavit. A nikomu to nenutím. Každý ať se rozhodne, co mu vyhovuje nejvíce.

Martin Depta
ELTODO a.s.
Zpět nahoru
rys-kt4 Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 21.lis.2011
Lokalita: ČR (Pha)
Používám:
Inventor - PrDSU, Solid Edge
Stav: Offline
Bodů: 455
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace rys-kt4 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 06.úno.2022 v 12:08

Připojené náhledyPřihlaste se pro zobrazení plné verze - 37298/212.jpg

Přidávám hlas, tedy nějak takto. Smile
JanB.
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 11944:VIPJak zjistit čistou plochu (bez otvorů) povrchu rozvinu plechové součásti v Inventoru?
Tip 10471:Rozsah rozvinu zaokrouhlený na celé číslo.
Tip 5266:VIPPřepnutí rozvinovacího jádra Inventoru 11.
Tip 8304:Jak v Inventoru rozvinout plechová tělesa z jiných CAD aplikací?
Tip 10718:Jak do výkresu přidat název pravidla rozvinu plechu?
Tip 9337:VIPTabulka poloměrů ohybu pro rozvin plechu dle DIN 6935.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,172 sekund.